--- net/base/net_util.cc
+++ net/base/net_util.cc
@@ -26,6 +26,10 @@
 #include <fcntl.h>
 #endif
 
+#if defined(OS_FREEBSD)
+#include <netinet/in.h>
+#endif
+
 #include "base/basictypes.h"
 #include "base/file_path.h"
 #include "base/file_util.h"
diff --git net/base/net_util_unittest.cc net/base/net_util_unittest.cc
index 308ef80..fba3e4a 100644
